<?php

/**

 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */


defined('_JEXEC') or die;
?>



<!-- META FOR IOS & HANDHELD -->
<?php if ($this->getParam('responsive', 1)): ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
	<style type="text/stylesheet">
		@-webkit-viewport   { width: device-width; }
		@-moz-viewport      { width: device-width; }
		@-ms-viewport       { width: device-width; }
		@-o-viewport        { width: device-width; }
		@viewport           { width: device-width; }
	</style>

	<script type="text/javascript">
		//<![CDATA[

	if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
			var msViewportStyle = document.createElement("style");
			msViewportStyle.appendChild(
				document.createTextNode("@-ms-viewport{width:auto!important}")
			);
			document.getElementsByTagName("head")[0].appendChild(msViewportStyle);
		}
		//]]>

	</script>

<?php endif ?>
<meta name="HandheldFriendly" content="true"/>
<meta name="apple-mobile-web-app-capable" content="YES"/>
<!-- //META FOR IOS & HANDHELD -->


<?php
// SYSTEM CSS
$this->addStyleSheet(JURI::base(true) . '/templates/system/css/system.css');
?>

<?php
// T3 BASE HEAD
$this->addHead();
?>

<?php
// CUSTOM CSS
if (is_file(T3_TEMPLATE_PATH . '/css/custom.css')) {
	$this->addStyleSheet(T3_TEMPLATE_URL . '/css/custom.css');
}
?>

<!-- Le HTML5 shim and media query for IE8 support -->
<!--[if lt IE 9]>
<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
<script type="text/javascript" src="<?php echo T3_URL ?>/js/respond.min.js"></script>
<![endif]-->

<!-- Fonts -->
<?php 
$bodyfont = $this->params->get('bodyFont');
$logofont = $this->params->get('logoFont');
$navfont = $this->params->get('navFont');
$headingfont = $this->params->get('headingFont');
$logoclass = $this->params->get('logoclass');
$customfont = $this->params->get('customFont');
$customfontselector = $this->params->get('customfontselector');

if($customfont == "-1") {
	$customfont = $this->params->get('customFont_custom');
}

function cleanFonts($subject) {
	$font = explode(':', str_replace("+", " ", $subject));
	return $font[0];
}
?>
<style type="text/css">
<?php 
	if($bodyfont == "-1") { ?>
			html > body {font-family: <?php echo cleanFonts($this->params->get('bodyFont_custom')); ?>}
	<?php } else { ?>
			html > body {font-family: <?php echo $bodyfont; ?>}
	<?php } 
		if($headingfont == "-1") { 
			?>
			h1, h2, h3, h4, h5, h6, blockquote {font-family: <?php echo cleanFonts($this->params->get('headingFont_custom')); ?>}
	<?php } else {  ?>
			h1, h2, h3, h4, h5, h6, blockquote {font-family: <?php echo $headingfont ?>}
	<?php }
		if($navfont == "-1") { ?>
			#navwrap li {font-family: <?php echo cleanFonts($this->params->get('navFont_custom')); ?>}
	<?php } else {?>
			#navwrap li {font-family: <?php echo $navfont ?>}
	<?php }
		if($logofont == "-1") { ?>
			#logo <?php echo $logoclass ?> a{font-family: <?php echo cleanFonts($this->params->get('logoFont_custom')); ?>;
			}
	<?php } else { ?>
			#logo <?php echo $logoclass ?> a {font-family: <?php echo $logofont ?>}
	<?php } ?>
	
	<?php if( 	
			$bodyfont === "League Gothic" || 
			$headingfont === "League Gothic" || 
			$navfont === "League Gothic" || 
			$logofont === "League Gothic") { ?>
				@font-face {
				  font-family: 'League Gothic Regular';
				  src: url('<?php echo T3_TEMPLATE_URL ?>/font/League_Gothic.eot');
				  src: local('League Gothic Regular'), local('LeagueGothic-Regular'), url('League_Gothic.otf') format('opentype');
				}
	<?php }?>

	<?php if($customfontselector !=="") { ?>
		<?php echo $customfontselector ?> {font-family:<?php echo $customfont; ?>;<?php echo $this->params->get('customFontCSS') ?>}
	<?php }?>
</style>
<script type="text/javascript" src="<?php echo T3_TEMPLATE_URL ?>/js/template.js"></script>